Bug 13506 - xdg-screensaver expects xprop to exit if the window disappears
Summary: xdg-screensaver expects xprop to exit if the window disappears
Status: RESOLVED MOVED
Alias: None
Product: Portland
Classification: Unclassified
Component: xdg-utils (show other bugs)
Version: 1.0
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Fathi Boudra
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on: 19381
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-03 21:11 UTC by Dima Ryazanov
Modified: 2019-02-16 13:28 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dima Ryazanov 2007-12-03 21:11:31 UTC
As far as I understand, xdg-screensaver should resume the screensaver if the window used to suspend it has disappeared - but this doesn't happen. Even worse, if the window has disappeared, it's impossible to enable the screensaver using "xdg-screensaver resume".

I found these lines in the xdg-screensaver code:

  # Start tracking $window_id
  $XPROP -id $window_id -spy > /dev/null &
  xprop_pid=$!
  [...]
  # Wait for xprop to edit, it means that the window disappeared
  wait $xprop_pid

(I assume it's "exit", not "edit".)
But 'xprop -spy' doesn't ever exit - and nowhere in the manual does it say that it should. I even looked at the xprop source code; it has an infinite loop at the end, so it looks like it was never intended to exit.
Comment 1 Ben Hutchings 2009-07-26 10:24:02 UTC
xprop has been changed to exit as expected by xdg-screensaver. I think this bug can be resolved by documenting the version-dependency on xprop.
Comment 2 GitLab Migration User 2019-02-16 13:28:51 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xdg/xdg-utils/issues/21.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.